﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace DoughnutColorOpacity
{
    public class ViewModel
    {
        public ObservableCollection<Model> Collection { get; set; }
        public ChartColorModel CustomColorModel { get; set; }
        public ViewModel()
        {
            Collection = new ObservableCollection<Model>();
            CustomColorModel = new ChartColorModel();

            CustomColorModel.CustomBrushes.Add(new SolidColorBrush(Colors.DeepSkyBlue));
            CustomColorModel.CustomBrushes.Add(new SolidColorBrush(Colors.DeepPink));
            CustomColorModel.CustomBrushes.Add(new SolidColorBrush(Colors.OrangeRed));
            CustomColorModel.CustomBrushes.Add(new SolidColorBrush(Colors.Orange));
            CustomColorModel.CustomBrushes.Add(new SolidColorBrush(Colors.BlueViolet));
            Collection.Add(new Model() { XValue = 1, YValue = 18 });
            Collection.Add(new Model() { XValue = 2, YValue = 36 });
            Collection.Add(new Model() { XValue = 3, YValue = 24 });
            Collection.Add(new Model() { XValue = 4, YValue = 42 });
            Collection.Add(new Model() { XValue = 5, YValue = 30 });
        }
    }
}
