﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DoughnutColorOpacity
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void SfChart_SelectionChanged(object sender, Syncfusion.UI.Xaml.Charts.ChartSelectionChangedEventArgs e)
        {
            if(e.PreviousSelectedSegment != null)
                ((e.PreviousSelectedSegment as DoughnutSegment).Interior as SolidColorBrush).Opacity = 1;
            if(e.SelectedSegment != null)
                ((e.SelectedSegment as DoughnutSegment).Interior as SolidColorBrush).Opacity = 0.4;

        }

        private void SfChart_SelectionChanging(object sender, ChartSelectionChangingEventArgs e)
        {
            
        }
    }
}
